<?php

namespace Drupal\eca_form\Event;

use Drupal\Core\Form\FormStateInterface;

/**
 * Provides an event when a form is being build.
 *
 * @package Drupal\eca_form\Event
 */
class FormBuild extends FormBase {

  /**
   * Form ID.
   *
   * @var string
   */
  protected string $formId;

  /**
   * Constructs a FormBuild instance.
   *
   * @param array $form
   *   The form array.
   * @param \Drupal\Core\Form\FormStateInterface $form_state
   *   The form state.
   * @param string $form_id
   *   The form ID.
   */
  public function __construct(array $form, FormStateInterface $form_state, string $form_id) {
    parent::__construct($form, $form_state);
    $this->formId = $form_id;
  }

  /**
   * Returns the form ID.
   *
   * @return string
   *   The form ID.
   */
  public function getFormId(): string {
    return $this->formId;
  }

}
